// ignore_for_file: prefer_const_declarations

import 'package:manager_queue/main.dart';
import 'package:mqtt_client/mqtt_browser_client.dart';

final String? baseUrls = prefs.getString('base_url');
final String? mqqtIdentifiers = prefs.getString('uuid');
final String mqqtIdentifier = mqqtIdentifiers!;
final String baseUrlApi = baseUrls!;
final String apiUrlQueue = baseUrlApi + "queue/getqueue";
final String apiUrlUpdate = baseUrlApi + "queue/updatequeue";
final String apiUrlClear = baseUrlApi + "queue/clearqueue";
final String apiUrlConfig = baseUrlApi + "queue/getconfig";

final String apiCheckDevice = "midware/device/check";
final String apiUrlLogin = "midware/auth/login";
// const String apiConfig = "api/getconfig";

final String? mqttUrls = prefs.getString('mqtt_url');
final String mqttUrl = mqttUrls!;

final String? queueTopics = prefs.getString('mqtt_queue_topic');
final String queueTopic = queueTopics!;

final String? queueMessages = prefs.getString('mqtt_queue_message');
final String queueMessage = queueMessages!;

final int? mqttPorts = prefs.getInt('mqtt_port');
final int mqttPort = mqttPorts!;

final mqClient = MqttBrowserClient(mqttUrl, "");
