// import 'dart:collection';
// ignore_for_file: unused_local_variable, use_key_in_widget_constructors, non_constant_identifier_names, avoid_print, sized_box_for_whitespace, prefer_const_constructors, prefer_const_literals_to_create_immutables

// import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
// import 'package:google_fonts/google_fonts.dart';
import 'package:manager_queue/element/middle_widget.dart';
import 'package:manager_queue/element/order_queue.dart';
import 'package:manager_queue/element/order_ready.dart';
// import 'package:manager_queue/data.dart';
// import 'package:manager_queue/api.dart';
// import 'package:manager_queue/bloc/queue_bloc.dart';
// import 'package:manager_queue/bloc/ready_bloc.dart';
// import 'package:manager_queue/helper/config.dart';
// import 'package:manager_queue/helper/state.dart';
// import 'package:manager_queue/main.dart';
// import 'package:manager_queue/models/queue.dart';
// import 'package:http/http.dart' as http;
// import 'package:mqtt_client/mqtt_client.dart';
import 'cubit/queue_cubit.dart';
import 'cubit/ready_cubit.dart';
// import 'dart:html';

class MainPage extends StatefulWidget {
  @override
  _MainPageState createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  // List<dynamic> orderQueue = [];
  // List<dynamic> orderReady = [];

  @override
  Widget build(BuildContext context) {
    context.read<QueueCubit>().getData();
    context.read<ReadyCubit>().getData();

    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Scaffold(
        backgroundColor: Colors.white,
        body: Row(
          children: <Widget>[
            OrderQueueWidget(),
            MiddleWidget(),
            OrderReadyWidget(),
          ],
        ),
      ),
    );
  }
}
