// ignore_for_file: non_constant_identifier_names

class OrderQueue {
  final String id;
  final String queue_number;
  final String status;
  bool isSelected = false;
  bool isSelectedReady = false;

  OrderQueue(
      {required this.id,
      required this.queue_number,
      required this.status,
      required this.isSelected,
      required this.isSelectedReady});

  factory OrderQueue.createOrderQueue(Map<String, dynamic> json) {
    return OrderQueue(
      id: json['id'].toString(),
      queue_number: json['queue_number'].toString(),
      status: json['status'].toString(),
      isSelected: false,
      isSelectedReady: false,
    );
  }
}
