// ignore_for_file: prefer_const_constructors_in_immutables

part of 'ready_cubit.dart';

abstract class ReadyState extends Equatable {
  const ReadyState();

  @override
  List<Object> get props => [];
}

class ReadyInitial extends ReadyState {}

class ReadyLoading extends ReadyState {}

class ReadyLoaded extends ReadyState {
  final List<OrderQueue> readys;

  ReadyLoaded(this.readys);

  @override
  List<Object> get props => [readys];
}

class ReadyUpdated extends ReadyState {
  final List<OrderQueue> readys;

  ReadyUpdated(this.readys);

  @override
  List<Object> get props => [readys];
}
